%global _name   mesonbuild

Name:           meson
Version:        0.43.0
Release:        %mkrel 1
Summary:        High productivity build system
Group:          System/Packaging
License:        ASL 2.0
URL:            http://mesonbuild.com/
Source0:        https://github.com/mesonbuild/meson/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:         meson-0.41.1-mageiaify-macros.patch

BuildArch:      noarch

BuildRequires:  ninja
BuildRequires:  lib64python3-devel
BuildRequires:  python3-setuptools

# Various languages
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
BuildRequires:  gcc-objc
BuildRequires:  gcc-objc++
BuildRequires:  java-devel
BuildRequires:  libasan-devel
BuildRequires:  llvm-devel
BuildRequires:  mono
BuildRequires:  pkgconfig(mono)

# Various libs support
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gettext
BuildRequires:  git
BuildRequires:  gtk-doc
BuildRequires:  itstool
BuildRequires:  locales-en
BuildRequires:  vala
BuildRequires:  vala-tools
BuildRequires:  boost-devel
BuildRequires:  gtest-devel
BuildRequires:  pcap-devel
BuildRequires:  qtbase5-devel
BuildRequires:  wxgtk3.0-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(ompi)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3-gobject3

Requires:       ninja

%description
Meson is a build system designed to optimize programmer productivity.
It aims to do this by providing simple, out-of-the-box support for
modern software development tools and practices, such as unit tests,
coverage reports, Valgrind, CCache and the like.

%prep
%setup -q
%apply_patches

find -type f -name '*.py' -executable -exec sed -i -e '1s|.*|#!%{__python3}|' {} ';'

%build
%py3_build

%install
%py3_install

# install meson rpm macro helper
mkdir -p %{buildroot}%{_sysconfdir}/rpm/macros.d/
install -D -m 0644 data/macros.%{name} %{buildroot}%{_sysconfdir}/rpm/macros.d/%{name}.macros


%files
%doc contributing.txt README.md COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}conf
%{_bindir}/%{name}introspect
%{_bindir}/%{name}test
%{_bindir}/wraptool
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}conf.1.*
%{_mandir}/man1/%{name}test.1.*
%{_mandir}/man1/%{name}introspect.1.*
%{_mandir}/man1/wraptool.1.*
%{_sysconfdir}/rpm/macros.d/%{name}.macros
%{python3_sitelib}/%{_name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Oct 20 2017 bb2 <bb2> - 0.43.0-1pclos2017
- new version

* Mon Sep 25 2017 bb2 <bb2> - 0.42.1-1pclos2017
- new version

* Sun Aug 20 2017 bb2 <bb2> - 0.42.0-2pclos2017
- fix rpm macro location for pclos

* Sat Aug 19 2017 bb2 <bb2> 0.42.0-1pclos2017
- import from france
